GET
/batch/extract/{id}
Ottieni Stato Job Estrazione Batch

Verifica lo stato e recupera i dati estratti da un job di estrazione batch.

Stati della Risposta:

  • processing: Estrazione in corso
  • completed: Tutte le estrazioni completate
  • failed: Job fallito (verifica i dettagli dell'errore)

Formato dei Risultati: Ogni URL nell'array dei risultati contiene:

  • Dati estratti corrispondenti al tuo schema
  • Stato di successo/fallimento
  • Messaggi di errore individuali se applicabile
  • Punteggi di confidenza per la qualita dell'estrazione

Autorizzazione

YOUR_API_KEY
AutorizzazioneBearer <token>

Ottieni la tua API key dal Thunderbit Dashboard. Formato header: Authorization: Bearer YOUR_API_KEY

In: header

Parametri di percorso

id*stringobbligatorio

ID del task batch

Parametri query

pageintegerpredefinito:0

Page number (0-based), default 0

Intervallo richiesto:0 <= x
pageSizeintegerpredefinito:20

Number of results per page (1-100), default 20

Intervallo richiesto:1 <= x <= 100

Risposta

application/json

Success response

successboolean
dataobject
Mostra attributi figli
idstring
statusstring
Valore in"PENDING" | "PROCESSING" | "COMPLETED" | "FAILED" | "CANCELLED" | "UNKNOWN"
totalinteger
completedinteger
creditsUsedinteger
resultsobject[]
Mostra attributi figli
urlstring
successboolean
dataobject[]

Extracted structured data for this URL (present when success is true)

errorobject
Mostra attributi figli
codestring
Esempio:EXTRACT_FAILED
messagestring
createdAtstring

Timestamp when the job was created

completedAtstring

Timestamp when the job completed (null if still processing)

Paginazione

  • pageSize è impostato a 20 per impostazione predefinita, con un massimo di 100 per richiesta. Imposta pageSize=100 per ottenere il massimo in ogni chiamata.
  • Per batch con più di 100 risultati, incrementa page (a partire da 0) finché results non è vuoto: page=0, page=1, ecc.
  • Il campo total nella risposta indica il numero totale di risultati del batch.

On this page